*{
    padding: 0;
    margin: 0;
    border: 0;
}
*,*::before,*::after{
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
:focus,:active{outline:none;}
a:focus, a:active{outline: none;}
nav, footer, header,aside{display: block;}

html, body{
    height: 100%;
    width: 100%;
    font-size: 100%;
    line-height: 1;
    font-size: 14px;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    scroll-behavior: smooth;
}

input,button,textarea{font-family:inherit;}


input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner{padding:0;border:0}
a, a:visited{text-decoration: none;}
ul li{list-style: none;}
img{vertical-align: top;}

h1,h2,h3,h4,h5,h6{font-size: inherit;font-weight: 400;}



body{
    font-family: "Space Grotesk", sans-serif; 
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 100px;
    
}

.header{
    margin-top:80px ;
    margin-bottom: 75px;
}

.header__inner {
    display: flex;
    justify-content: space-between;
    align-items: center; 
    height: 68px;
}

.header__nav ul {
    display: flex; 
    gap: 40px;  
}



.header__link a {
    text-decoration: none;
    color: black;
    font-size: 20px;
    
    line-height: 28px;

    transition:color 0.4s linear;
}

.header__link a:hover {
    text-decoration: underline;
    color:#B9FF66;

}

.header__btn {
   
    border: 1px solid black;
    border-radius: 14px;
    text-align: center;
    background-color: transparent;
    font-size: 20px;
    font-weight: 400;
    line-height: 28px;
    padding: 20px 35px;
    white-space: nowrap;
}



/*HERO*/


.hero__main {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    align-items: center;
}

.hero__content h1{
    font-size: 60px;
    line-height: 76px;
    color: black;
    font-weight: 500;
    margin-bottom: 35px;
}

.hero__content p{
    font-size: 20px;
    font-weight: 400;
    color: black;
    line-height: 28px;
    margin-bottom: 35px;
}






.hero-image img {
  width: 100%;
  height: auto;
}

.hero__btn{
    background-color: #191a23;
  color: white;
  padding: 18px 35px;
  border-radius: 14px;
  border: none;
  font-size: 1.1rem;
  font-weight: 500;
  margin-bottom: 50px;
}


.hero-logos {
    display: flex;
    justify-content: space-between;
    text-align: center;
    flex-wrap: wrap;
    gap: 30px;
    opacity: 0.7;
    filter: grayscale(100%);
    margin-bottom: 140px;
}


.services__inner {
    display: flex;
    align-items: center;
    margin-bottom: 80px;
}

.services__text {
    margin-left: 40px;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    color: black;
}

.cards {
    margin-bottom: 140px;
}

.cards__grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(500px, 1fr));
    gap: 40px;
}

.card {
    display: flex;
    justify-content: space-between;
    height: 310px;
    padding: 50px;
    border: 2px solid black;
    border-radius: 45px;
    min-height: 310px;
    box-shadow: 0 5px 0 #191a23;
    transition: transform 0.3s ease;
    overflow: hidden;
}


.card:hover{
    transform: translateY(-10px);
}

.card__content {
    display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.highlight {
    background-color: #B9FF66;
    padding: 0 5px;
    border-radius: 7px;
}

.card__link {
  display: flex;
  align-items: center;
  gap: 15px;
  text-decoration: none;
  font-weight: 500;
  color: inherit;
  transition: color 0.2s linear;
}

.card__link:hover{
    color: red;
}

.card__img {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.card__img img {
  max-width: 100%;
  height: auto;
}



.card__title {
    font-size: 30px;
    font-weight: 500;
    line-height: 38px;
}


.card--one {
    background-color: #F3F3F3 ;
}

.card--two {
    background-color: #B9FF66 ;
}

.card--two .highlight {
    background-color: white;
}

.card--three {
    background-color: #191A23 ;
}

.card--three .card__link {
    color: white;
}


.card--three .highlight {
    background-color: #f3f3f3;
}


.proposal {
    margin-top: 100px;
    margin-bottom: 140px;
}

.proposal__inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-height: 350px;
    background-color: #f3f3f3;
    border: 1px solid black;
    border-radius: 45px;
    padding: 50px 60px;
}


.proposal__img {
    margin-top: -30px;
    margin-right: -50px;
    margin-bottom: -30px;
}


.proposal__title {
    font-weight: 500;
    font-size: 30px;
    color: black;
    margin-bottom: 30px;
}

.proposal__text {
    font-size: 18px;
    line-height: 23px;
    margin-bottom: 30px;
}


.proposal__btn {
  background-color: #191a23;
  color: white;
  padding: 18px 35px;
  border-radius: 14px;
  border: none;
  font-size: 1.1rem;
  font-weight: 500;
  margin-bottom: 50px;
}



.cases__inner {
    display: flex;
    align-items: center;
    margin-bottom: 80px;
}

.cases__text {
    margin-left: 40px;
    font-weight: 400;
    font-size: 18px;
    line-height: 23px;
    color: black;
}


.studies__inner {
    display: flex;
    justify-content: space-between;
    
    border: 1px solid black;
    background-color:#191A23;
    border-radius: 45px;
    padding: 70px 60px ;
    margin-bottom: 140px;
}

.studies__column{
    width: 33.33333%;
    border-right: 1px solid rgba(255, 255, 255, 0.3);
    padding: 0 60px;
}

.studies__text {
    color: white;
    font-size: 18px;
    line-height: 23px;
    font-weight: 400;
    margin-bottom: 20px;

}


.studies__column:last-child {
    border-right: none;
}



.studies__link {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #B9FF66;
    text-decoration: none;
}



.accordion {
    
    border: 1px solid black;
    background-color: #B9FF66;
    border-radius: 45px;
    padding: 40px 60px;
    margin-bottom: 30px;
}


.accordion__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.accordion__title{
   font-size: 30px;
}

.accordion__text{
    border-top: 1px solid black;
    margin-top: 20px;
    padding-top: 20px;
    font-size: 18px;
    line-height: 23px;
}

.accordion {
    background-color: #F3F3F3;
}

.accordion[open] {
    background-color: #B9FF66;
}


.accordion .minus { display: none; }
.accordion .plus { display: block; }


.accordion[open] .minus { display: block; }
.accordion[open] .plus { display: none; }


.team__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    
}
.team {
     border: 2px solid black;
     border-radius: 45px;
     box-shadow: 0 5px 0 #191a23;
     padding: 40px;
     position: relative;

     transition: ;
}


.team__content {
    display: flex;
    align-items: flex-end;
    
    gap: 20px;
    margin-bottom: 30px;
   
    
    
}

.team__social {
    position: absolute;
    top: 20px;
    right: 20px;
}

.team__title {
    font-size: 20px;
    font-weight: 500;
    line-height: 26px;
    color: black;
    margin-bottom: 2px;
}

.team__img img{
    width: 100px;
    height: 100px;
    object-fit: cover;
}


.team__job {
    font-size: 18px;
    line-height: 23px;
    font-weight: 400;
}



.team__text {
   border-top: 1px solid black;
    padding-top: 20px;
    margin-top: 20px;
    font-size: 18px;
    line-height: 23px;
   
}


.team:hover {
    transform: translateY(-10px);
    background-color: #B9FF66;
}

.team__btn-wrap {
    display: flex;
    justify-content: flex-end;
    margin-top: 40px;
}
.team__btn{
   
  background-color: #191a23;
  color: white;
  padding: 18px 35px;
  border-radius: 14px;
  border: none;
  font-size: 1.1rem;
  font-weight: 500;
  margin-bottom: 50px;
}

.testimonials__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #191A23;
    border-radius: 45px;
    padding: 85px 0;
    overflow: hidden;
    margin-bottom: 140px;
}

.testimonials__slider {
    display: flex;
    gap: 50px;
    width: 100%; 
    margin-bottom: 60px; 
    transform: translateX(-15%); 
    
}

.testimonials__item {
    min-width: 600px;
}

.testimonials__bubble {
    position: relative;
    border: 1px solid #B9FF66;
    border-radius: 45px;
    padding: 48px 52px;
    color: white;
    margin-bottom: 25px;
}


.testimonials__bubble::after {
    content:'';
    position: absolute;
    bottom: -20px;
    left: 80px;
    width: 40px;
    height: 40px;
    background-color: #191A23;
    border-left: 1px solid #B9FF66;
    border-bottom: 1px solid #B9FF66;
    transform: rotate(-45deg);
}

.testimonials__author {
  
    padding-left: 80px;
    color: white;
}

.green {
    color: #B9FF66;
}

.testimonials__nav {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 150px; 
    width: auto; 
}

.testimonials__dots {
    display: flex;
    gap: 10px;
}

.dot {
    width: 14px;
    height: 14px;
    background-color: white;
    background-image: url('img/Stars.png'); 
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.dot.active {
    filter: invert(82%) sepia(54%) saturate(465%) hue-rotate(42deg) brightness(103%) contrast(101%);
}





.contact__inner {
    display: flex;
    justify-content: space-between;
    background-color: #f3f3f3;
    border-radius: 45px;
    padding: 60px 100px;
    padding-right: 0;
    overflow: hidden;
    margin-bottom: 140px;
    position: relative;
}

.contact__form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 500px;
    z-index: 2;
}

.contact__radio {
    display: flex;
    gap: 35px;
}

.contact__form label {
    font-size: 16px;
    font-weight: 400;
}

.contact__form input,
.contact__form textarea {
    width: 100%;
    padding: 18px 26px;
    border: 1px solid black;
    border-radius: 14px;
    font-size: 18px;
    background-color: white;
}

.contact__form textarea {
    height: 190px;
    resize: none;
}

.contact__btn {
    background-color: #191a23;
    color: white;
    padding: 20px;
    border-radius: 14px;
    font-size: 20px;
    font-weight: 500;
    width: 100%;
}

.contact__img {
    position: absolute;
    top: 0;
    right: -335px; 
    width: 700px; 
    height: 100%;
    display: flex;
    align-items: center;
    pointer-events: none; 
}
.contact__img img {
    width: 100%;
    height: auto;
    object-fit: cover;
}


.footer__inner {
    background-color: #191A23;
    border-radius: 45px 45px 0px 0px;
    padding: 55px 60px;
}


.footer__top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 65px;
}


.footer__nav ul {
    display: flex; 
    gap: 40px;  
}



.footer__link a {
    text-decoration: underline;
    color: white;
    font-size: 18px;
    
    line-height: 23px;

  
}

.footer__social {
    display: flex;
    gap: 20px;
    align-items: center;
}


.footer__middle {
    display: flex;
justify-content: space-between;
align-items: center;
}

.middle__label {
    margin-bottom: 30px;
}

.footer__left {
    display: flex;
    flex-direction: column;
}

.footer__right {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 58px 40px;
    background: #292A32;
    border: 1px solid #292A32;
    border-radius: 14px;
    
    
}

.footer__mail {
    font-size: 18px;
    font-weight: 400;
    color: white;
    margin-bottom: 25px;
}

.footer__mail a{
    color: white;
    text-decoration: none;
}

.footer__phone {
    font-size: 18px;
    font-weight: 400;
    margin-bottom: 25px;
}

.footer__phone a{
    color: white;
    text-decoration: none;
}

.footer__adress {
    font-size: 18px;
    font-weight: 400;
    color: white;
    margin-bottom: 50px;
}

.footer__bottom {
   
    display: flex;
    gap: 40px;
    align-items: center;
     border-top: 1px solid white;
     margin-top: 50px;
     padding-top: 50px;
}
.footer__bottom p{
    color: white;
}
.footer__bottom a{
    text-decoration: underline;
    color: white;
}
.footer__right input{
    width: 50%;
    padding: 22px 35px;
    border: 1px solid white;
    border-radius: 14px;
    font-size: 18px;
    background-color: transparent;
    
}

.footer__btn {
    border: 1px solid #B9FF66;
    border-radius: 14px;
    text-align: center;
    background-color: #B9FF66;
    font-size: 20px;
    font-weight: 400;
    line-height: 28px;
    padding: 20px 35px;
    white-space: nowrap;
}


@media (max-width: 768px) {
    .container {
        padding: 0 20px;
    }
}


@media (max-width:768px) {
    .header__nav {
        display: none;
    }

    .header__btn {
        font-size: 14px;
        padding: 10px 20px;
    }
}

@media (max-width: 768px) {
    .hero__main {
        grid-template-columns: 1fr;
    }
    
    .hero__content h1 {
        font-size: 40px;
        line-height: 50px;
    }
}

@media (max-width: 768px) {
    .hero-logos {
        justify-content: center;
    }
}

@media (max-width: 768px) {
    .services__inner {
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }
    
    .services__text {
        margin-left: 0;
    }
}

@media (max-width: 768px) {
    .cards__grid {
        grid-template-columns: 1fr;
    }
}


@media (max-width: 768px) {
    .proposal__inner {
        flex-direction: column;
        max-height: none;
    }
    
    .proposal__img {
        display: none;
    }
}

@media (max-width: 768px) {
    .cases__inner {
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }
    
    .cases__text {
        margin-left: 0;
    }
}



@media (max-width: 768px) {
    .studies__inner {
        flex-direction: column;
    }
    
    .studies__column {
        width: 100%;
        border-right: none;
        border-bottom: 1px solid rgba(255, 255, 255, 0.3);
        padding: 30px 0;
    }
    
    .studies__column:last-child {
        border-bottom: none;
    }
}

@media (max-width: 768px) {
    .accordion {
        padding: 25px 30px;
    }
    
    .accordion__title {
        font-size: 20px;
    }
}

@media (max-width: 768px) {
    .contact__img {
        display: none;
    }
    
    .contact__form {
        width: 100%;
    }
    
    .contact__inner {
        padding: 40px 30px;
    }
}

@media (max-width: 768px) {
    .footer__top {
        flex-direction: column;
        align-items: flex-start;
        gap: 30px;
    }
    
    .footer__nav {
        display: none;
    }
    
    .footer__middle {
        flex-direction: column;
        gap: 40px;
    }
    
    .footer__right {
        flex-direction: column;
        width: 100%;
        padding: 30px;
        box-sizing: border-box;
    }
    
      .footer__right input,
    .footer__btn {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .team__grid {
        grid-template-columns: 2fr;
    }
}


@media (max-width: 768px) {
    .testimonials__slider {
        transform: translateX(0);
        flex-direction: column;
        padding: 0 20px;
    }
    
    .testimonials__item {
        min-width: unset;
        width: 100%;
    }
}